import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";

Pips = class(Turbine.UI.Window);

function Pips:Constructor()
   Turbine.UI.Window.Constructor(self);

   self.width = 30;
   self.height = 20;
   self.buffer = 5;

   local displayWidth, displayHeight = Turbine.UI.Display.GetSize();
   local left, top;

   self.windowWidth = 4*self.width + 4*self.buffer;
   self.windowHeight = self.height;
   left = (displayWidth - self.windowWidth)  * 0.5;
   top = (displayHeight - self.windowHeight) * 0.625;

   self:SetVisible(true);
   self:SetBackColor(Turbine.UI.Color(0.01, 1, 1, 1));
   self:SetSize(self.windowWidth, self.windowHeight);
   self:SetMouseVisible(false);
   self:SetBlendMode(Turbine.UI.BlendMode.Alpha);
   self:SetWantsUpdates(true);
   
   self:SetPosition(left, top);

   self.shade1 = Turbine.UI.Color(1, 1, 1, 0);
   self.shade2 = Turbine.UI.Color(1, 1, 0.75, 0);
   self.shade3 = Turbine.UI.Color(1, 1, 0.25, 0);
   self.shade4 = Turbine.UI.Color(1, 1, 0, 0);

   self.pipBar1 = Turbine.UI.Control();
   self.pipBar1:SetBackColor(self.shade1);
   self.pipBar1:SetParent(self);
   self.pipBar1:SetSize(self.width, self.height);
   self.pipBar1:SetPosition(0*self.width, 0);
   self.pipBar1:SetMouseVisible(false);
   self.pipBar1:SetVisible(false);

   self.pipBar2 = Turbine.UI.Control();
   self.pipBar2:SetBackColor(self.shade2);
   self.pipBar2:SetParent(self);
   self.pipBar2:SetSize(self.width, self.height);
   self.pipBar2:SetPosition(1*(self.width+self.buffer), 0);
   self.pipBar2:SetMouseVisible(false);
   self.pipBar2:SetVisible(false);

   self.pipBar3 = Turbine.UI.Control();
   self.pipBar3:SetBackColor(self.shade3);
   self.pipBar3:SetParent(self);
   self.pipBar3:SetSize(self.width, self.height);
   self.pipBar3:SetPosition(2*(self.width+self.buffer), 0);
   self.pipBar3:SetMouseVisible(false);
   self.pipBar3:SetVisible(false);
   
   self.pipBar4 = Turbine.UI.Control();
   self.pipBar4:SetBackColor(self.shade4);
   self.pipBar4:SetParent(self);
   self.pipBar4:SetSize(self.width, self.height);
   self.pipBar4:SetPosition(3*(self.width+self.buffer), 0);
   self.pipBar4:SetMouseVisible(false);
   self.pipBar4:SetVisible(false);
end

Haze = class(Turbine.UI.Window);

function Haze:Constructor()
	Turbine.UI.Window.Constructor(self);

   self.width = 60;
   self.interval = 3;
   self.height = 20;
   self.buffer = 5;

   local displayWidth, displayHeight = Turbine.UI.Display.GetSize();
   local left, top;

   self.windowWidth = 15*(self.width/10) + 14*self.interval + 2*self.buffer;
   self.windowHeight = self.height;
   left = (displayWidth - self.windowWidth)  * 0.5;
   top = (displayHeight - self.windowHeight) * 0.660;

   self:SetVisible(true);
   self:SetBackColor(Turbine.UI.Color(0.01, 1, 1, 1));
   self:SetSize(self.windowWidth, self.windowHeight);
   self:SetMouseVisible(false);
   self:SetBlendMode(Turbine.UI.BlendMode.Alpha);
   self:SetWantsUpdates(true);
   
   self:SetPosition(left, top);

   self.shade1 = Turbine.UI.Color(1, 1, 1, 0);
   self.shade2 = Turbine.UI.Color(1, 1, 0.75, 0);
   self.shade3 = Turbine.UI.Color(1, 1, 0.50, 0);
   self.shade4 = Turbine.UI.Color(1, 1, 0.25, 0);
   self.shade5 = Turbine.UI.Color(1, 1, 0, 0);
   
   self.pipBar1 = Turbine.UI.Control();
   self.pipBar1:SetBackColor(self.shade1);
   self.pipBar1:SetParent(self);
   self.pipBar1:SetSize(self.width/10, self.height);
   self.pipBar1:SetPosition(0*self.width/10, 0);
   self.pipBar1:SetMouseVisible(false);
   self.pipBar1:SetVisible(false);

   self.pipBar2 = Turbine.UI.Control();
   self.pipBar2:SetBackColor(self.shade2);
   self.pipBar2:SetParent(self);
   self.pipBar2:SetSize(self.width/10, self.height);
   self.pipBar2:SetPosition(1*(self.width/10+self.interval), 0);
   self.pipBar2:SetMouseVisible(false);
   self.pipBar2:SetVisible(false);

   self.pipBar3 = Turbine.UI.Control();
   self.pipBar3:SetBackColor(self.shade3);
   self.pipBar3:SetParent(self);
   self.pipBar3:SetSize(self.width/10, self.height);
   self.pipBar3:SetPosition(2*(self.width/10+self.interval), 0);
   self.pipBar3:SetMouseVisible(false);
   self.pipBar3:SetVisible(false);
   
   self.pipBar4 = Turbine.UI.Control();
   self.pipBar4:SetBackColor(self.shade4);
   self.pipBar4:SetParent(self);
   self.pipBar4:SetSize(self.width/10, self.height);
   self.pipBar4:SetPosition(3*(self.width/10+self.interval), 0);
   self.pipBar4:SetMouseVisible(false);
   self.pipBar4:SetVisible(false);
   
   self.pipBar5 = Turbine.UI.Control();
   self.pipBar5:SetBackColor(self.shade5);
   self.pipBar5:SetParent(self);
   self.pipBar5:SetSize(self.width/10, self.height);
   self.pipBar5:SetPosition(4*(self.width/10+self.interval), 0);
   self.pipBar5:SetMouseVisible(false);
   self.pipBar5:SetVisible(false);
   
   self.pipBar6 = Turbine.UI.Control();
   self.pipBar6:SetBackColor(self.shade1);
   self.pipBar6:SetParent(self);
   self.pipBar6:SetSize(self.width/10, self.height);
   self.pipBar6:SetPosition(5*(self.width/10+self.interval) + self.buffer, 0);
   self.pipBar6:SetMouseVisible(false);
   self.pipBar6:SetVisible(false);
   
   self.pipBar7 = Turbine.UI.Control();
   self.pipBar7:SetBackColor(self.shade2);
   self.pipBar7:SetParent(self);
   self.pipBar7:SetSize(self.width/10, self.height);
   self.pipBar7:SetPosition(6*(self.width/10+self.interval) + self.buffer, 0);
   self.pipBar7:SetMouseVisible(false);
   self.pipBar7:SetVisible(false);
   
   self.pipBar8 = Turbine.UI.Control();
   self.pipBar8:SetBackColor(self.shade3);
   self.pipBar8:SetParent(self);
   self.pipBar8:SetSize(self.width/10, self.height);
   self.pipBar8:SetPosition(7*(self.width/10+self.interval) + self.buffer, 0);
   self.pipBar8:SetMouseVisible(false);
   self.pipBar8:SetVisible(false);
   
   self.pipBar9 = Turbine.UI.Control();
   self.pipBar9:SetBackColor(self.shade4);
   self.pipBar9:SetParent(self);
   self.pipBar9:SetSize(self.width/10, self.height);
   self.pipBar9:SetPosition(8*(self.width/10+self.interval) + self.buffer, 0);
   self.pipBar9:SetMouseVisible(false);
   self.pipBar9:SetVisible(false);
   
   self.pipBar10 = Turbine.UI.Control();
   self.pipBar10:SetBackColor(self.shade5);
   self.pipBar10:SetParent(self);
   self.pipBar10:SetSize(self.width/10, self.height);
   self.pipBar10:SetPosition(9*(self.width/10+self.interval) + self.buffer, 0);
   self.pipBar10:SetMouseVisible(false);
   self.pipBar10:SetVisible(false);
   
   self.pipBar11 = Turbine.UI.Control();
   self.pipBar11:SetBackColor(self.shade1);
   self.pipBar11:SetParent(self);
   self.pipBar11:SetSize(self.width/10, self.height);
   self.pipBar11:SetPosition(10*(self.width/10+self.interval) + 2*self.buffer, 0);
   self.pipBar11:SetMouseVisible(false);
   self.pipBar11:SetVisible(false);
   
   self.pipBar12 = Turbine.UI.Control();
   self.pipBar12:SetBackColor(self.shade2);
   self.pipBar12:SetParent(self);
   self.pipBar12:SetSize(self.width/10, self.height);
   self.pipBar12:SetPosition(11*(self.width/10+self.interval) + 2*self.buffer, 0);
   self.pipBar12:SetMouseVisible(false);
   self.pipBar12:SetVisible(false);
   
   self.pipBar13 = Turbine.UI.Control();
   self.pipBar13:SetBackColor(self.shade3);
   self.pipBar13:SetParent(self);
   self.pipBar13:SetSize(self.width/10, self.height);
   self.pipBar13:SetPosition(12*(self.width/10+self.interval) + 2*self.buffer, 0);
   self.pipBar13:SetMouseVisible(false);
   self.pipBar13:SetVisible(false);
   
   self.pipBar14 = Turbine.UI.Control();
   self.pipBar14:SetBackColor(self.shade4);
   self.pipBar14:SetParent(self);
   self.pipBar14:SetSize(self.width/10, self.height);
   self.pipBar14:SetPosition(13*(self.width/10+self.interval) + 2*self.buffer, 0);
   self.pipBar14:SetMouseVisible(false);
   self.pipBar14:SetVisible(false);
   
   self.pipBar15 = Turbine.UI.Control();
   self.pipBar15:SetBackColor(self.shade5);
   self.pipBar15:SetParent(self);
   self.pipBar15:SetSize(self.width/10, self.height);
   self.pipBar15:SetPosition(14*(self.width/10+self.interval) + 2*self.buffer, 0);
   self.pipBar15:SetMouseVisible(false);
   self.pipBar15:SetVisible(false);
end

FervorWindow = class(Turbine.UI.Window);

function FervorWindow:Constructor()
	Turbine.UI.Window.Constructor(self);

   self.width = 30;
   self.height = 20;
   self.buffer = 5;

   local displayWidth, displayHeight = Turbine.UI.Display.GetSize();
   local left, top;

   self.windowWidth = 5*self.width + 4*self.buffer;
   self.windowHeight = self.height;
   left = (displayWidth - self.windowWidth)  * 0.5;
   top = (displayHeight - self.windowHeight) * 0.695;

   self:SetVisible(true);
   self:SetBackColor(Turbine.UI.Color(0.01, 1, 1, 1));
   self:SetSize(self.windowWidth, self.windowHeight);
   self:SetMouseVisible(false);
   self:SetBlendMode(Turbine.UI.BlendMode.Alpha);
   self:SetWantsUpdates(true);
   
   self:SetPosition(left, top);
   
   self.player = Turbine.Gameplay.LocalPlayer.GetInstance();
   self.class = self.player:GetClass();
   self.classAtributes = nil; self.fervor = 0;
   if (self.class ==  Turbine.Gameplay.Class.Champion) then
      self.classAttributes = self.player:GetClassAttributes();
   end

   self.color = Turbine.UI.Color(0.5, 255, 255, 0);

   self.pipBar1 = Turbine.UI.Control();
   self.pipBar1:SetBackColor(self.color);
   self.pipBar1:SetParent(self);
   self.pipBar1:SetSize(self.width, self.height);
   self.pipBar1:SetPosition(0*self.width, 0);
   self.pipBar1:SetMouseVisible(false);
   self.pipBar1:SetVisible(true);

   self.pipBar2 = Turbine.UI.Control();
   self.pipBar2:SetBackColor(self.color);
   self.pipBar2:SetParent(self);
   self.pipBar2:SetSize(self.width, self.height);
   self.pipBar2:SetPosition(1*(self.width+self.buffer), 0);
   self.pipBar2:SetMouseVisible(false);
   self.pipBar2:SetVisible(true);

   self.pipBar3 = Turbine.UI.Control();
   self.pipBar3:SetBackColor(self.color);
   self.pipBar3:SetParent(self);
   self.pipBar3:SetSize(self.width, self.height);
   self.pipBar3:SetPosition(2*(self.width+self.buffer), 0);
   self.pipBar3:SetMouseVisible(false);
   self.pipBar3:SetVisible(true);

   self.pipBar4 = Turbine.UI.Control();
   self.pipBar4:SetBackColor(self.color);
   self.pipBar4:SetParent(self);
   self.pipBar4:SetSize(self.width, self.height);
   self.pipBar4:SetPosition(3*(self.width+self.buffer), 0);
   self.pipBar4:SetMouseVisible(false);
   self.pipBar4:SetVisible(true);

   self.pipBar5 = Turbine.UI.Control();
   self.pipBar5:SetBackColor(self.color);
   self.pipBar5:SetParent(self);
   self.pipBar5:SetSize(self.width, self.height);
   self.pipBar5:SetPosition(4*(self.width+self.buffer), 0);
   self.pipBar5:SetMouseVisible(false);
   self.pipBar5:SetVisible(true);

   self:Update();
end

function Haze:Update(i)
	if (i == 0) then
		self.pipBar1:SetVisible(false);
		self.pipBar2:SetVisible(false);
		self.pipBar3:SetVisible(false);
		self.pipBar4:SetVisible(false);
		self.pipBar5:SetVisible(false);
		self.pipBar6:SetVisible(false);
		self.pipBar7:SetVisible(false);
		self.pipBar8:SetVisible(false);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
      
	elseif (i == 1) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(false);
		self.pipBar3:SetVisible(false);
		self.pipBar4:SetVisible(false);
		self.pipBar5:SetVisible(false);
		self.pipBar6:SetVisible(false);
		self.pipBar7:SetVisible(false);
		self.pipBar8:SetVisible(false);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);

	elseif (i == 2) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(false);
		self.pipBar4:SetVisible(false);
		self.pipBar5:SetVisible(false);
		self.pipBar6:SetVisible(false);
		self.pipBar7:SetVisible(false);
		self.pipBar8:SetVisible(false);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);

	elseif (i == 3) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(false);
		self.pipBar5:SetVisible(false);
		self.pipBar6:SetVisible(false);
		self.pipBar7:SetVisible(false);
		self.pipBar8:SetVisible(false);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 4) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(false);
		self.pipBar6:SetVisible(false);
		self.pipBar7:SetVisible(false);
		self.pipBar8:SetVisible(false);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 5) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(false);
		self.pipBar7:SetVisible(false);
		self.pipBar8:SetVisible(false);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 6) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(false);
		self.pipBar8:SetVisible(false);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);

	elseif (i == 7) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(false);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 8) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(true);
		self.pipBar9:SetVisible(false);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 9) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(true);
		self.pipBar9:SetVisible(true);
		self.pipBar10:SetVisible(false);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 10) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(true);
		self.pipBar9:SetVisible(true);
		self.pipBar10:SetVisible(true);
		self.pipBar11:SetVisible(false);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 11) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(true);
		self.pipBar9:SetVisible(true);
		self.pipBar10:SetVisible(true);
		self.pipBar11:SetVisible(true);
		self.pipBar12:SetVisible(false);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 12) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(true);
		self.pipBar9:SetVisible(true);
		self.pipBar10:SetVisible(true);
		self.pipBar11:SetVisible(true);
		self.pipBar12:SetVisible(true);
		self.pipBar13:SetVisible(false);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 13) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(true);
		self.pipBar9:SetVisible(true);
		self.pipBar10:SetVisible(true);
		self.pipBar11:SetVisible(true);
		self.pipBar12:SetVisible(true);
		self.pipBar13:SetVisible(true);
		self.pipBar14:SetVisible(false);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 14) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(true);
		self.pipBar9:SetVisible(true);
		self.pipBar10:SetVisible(true);
		self.pipBar11:SetVisible(true);
		self.pipBar12:SetVisible(true);
		self.pipBar13:SetVisible(true);
		self.pipBar14:SetVisible(true);
		self.pipBar15:SetVisible(false);
		
	elseif (i == 15) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
		self.pipBar5:SetVisible(true);
		self.pipBar6:SetVisible(true);
		self.pipBar7:SetVisible(true);
		self.pipBar8:SetVisible(true);
		self.pipBar9:SetVisible(true);
		self.pipBar10:SetVisible(true);
		self.pipBar11:SetVisible(true);
		self.pipBar12:SetVisible(true);
		self.pipBar13:SetVisible(true);
		self.pipBar14:SetVisible(true);
		self.pipBar15:SetVisible(true);
	end;
	
end

function FervorWindow:Update()

   if (self.classAttributes == nil) then
      return;
   end

   self.fervor = self.classAttributes:GetFervor();

   if (self.fervor == 0) then

      self.pipBar1:SetVisible(false);
      self.pipBar2:SetVisible(false);
      self.pipBar3:SetVisible(false);
      self.pipBar4:SetVisible(false);
      self.pipBar5:SetVisible(false);

   elseif (self.fervor == 1) then

      self.pipBar1:SetVisible(true);
      self.pipBar2:SetVisible(false);
      self.pipBar3:SetVisible(false);
      self.pipBar4:SetVisible(false);
      self.pipBar5:SetVisible(false);

   elseif (self.fervor == 2) then

      self.pipBar1:SetVisible(true);
      self.pipBar2:SetVisible(true);
      self.pipBar3:SetVisible(false);
      self.pipBar4:SetVisible(false);
      self.pipBar5:SetVisible(false);

   elseif (self.fervor == 3) then

      self.pipBar1:SetVisible(true);
      self.pipBar2:SetVisible(true);
      self.pipBar3:SetVisible(true);
      self.pipBar4:SetVisible(false);
      self.pipBar5:SetVisible(false);

   elseif (self.fervor == 4) then

      self.pipBar1:SetVisible(true);
      self.pipBar2:SetVisible(true);
      self.pipBar3:SetVisible(true);
      self.pipBar4:SetVisible(true);
      self.pipBar5:SetVisible(false);

   elseif (self.fervor == 5) then

      self.pipBar1:SetVisible(true);
      self.pipBar2:SetVisible(true);
      self.pipBar3:SetVisible(true);
      self.pipBar4:SetVisible(true);
      self.pipBar5:SetVisible(true);

   end
end

function Pips:Update(i)
	if (i == 0) then
		self.pipBar1:SetVisible(false);
		self.pipBar2:SetVisible(false);
		self.pipBar3:SetVisible(false);
		self.pipBar4:SetVisible(false);
      
	elseif (i == 1) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(false);
		self.pipBar3:SetVisible(false);
		self.pipBar4:SetVisible(false);

	elseif (i == 2) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(false);
		self.pipBar4:SetVisible(false);

	elseif (i == 3) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(false);
	
	elseif (i == 4) then
		self.pipBar1:SetVisible(true);
		self.pipBar2:SetVisible(true);
		self.pipBar3:SetVisible(true);
		self.pipBar4:SetVisible(true);
	end;
end